region_map = {
    'input_boolean.clean_anastasia': {'region_id': '2', 'type': 'rid'},
    'input_boolean.clean_hallway': {'region_id': '13', 'type': 'rid'},
    'input_boolean.clean_kitchen': {'region_id': '4', 'type': 'rid'},
    'input_boolean.clean_living_room': {'region_id': '1', 'type': 'rid'},
    'input_boolean.clean_master_bedroom': {'region_id': '16', 'type': 'rid'},
    'input_boolean.clean_passage': {'region_id': '19', 'type': 'rid'},
    'input_boolean.clean_victor': {'region_id': '18', 'type': 'rid'},
    'input_boolean.clean_vincent': {'region_id': '10', 'type': 'rid'},
}

states = []
for entity_id in region_map:
    state = hass.states.get(entity_id)
    if state.state == 'on':
        states.append(state)
        hass.services.call('input_boolean', 'turn_off', {'entity_id': state.entity_id}, False)

states.sort(key=lambda entity:entity.last_updated)

regions = []
for state in states:
    regions.append(region_map[state.entity_id])

service_data = {
    'entity_id': 'vacuum.roomba',
    'command': 'start',
    'params': {
        'ordered': 1,
        'pmap_id': '1twry6coTJqZEE6PNi7dOw',
        'regions': regions,
        'user_pmapv_id': '221215T114044'
    }
}

logger.info(service_data)
hass.services.call('vacuum', 'send_command', service_data, False)
